using System;

namespace Finale
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz = Console.ReadLine().Split();
            int m = int.Parse(ulaz[0]);
            int n = int.Parse(ulaz[1]);
            if (m == 1 || n == 1 || m == 2 || n == 2) Console.WriteLine(m * n);
            else
            {
                int zbir = 2 * (n + m) - 4;
                int um = m - 2;
                int un = n - 2;
                if ((un * um) % 2 == 0) zbir += (un * um) / 2;
                else zbir += (un * um - 1) / 2;
                Console.WriteLine(zbir);
            }
        }
    }
}